Package org.apache.lucene.index

# Enum Class FilteredTermsEnum.AcceptStatus

java.lang.Object
java.lang.Enum<FilteredTermsEnum.AcceptStatus>
org.apache.lucene.index.FilteredTermsEnum.AcceptStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<FilteredTermsEnum.AcceptStatus>`, `Constable`

Enclosing class:
  `FilteredTermsEnum`

protected static enum FilteredTermsEnum.AcceptStatus extends Enum<FilteredTermsEnum.AcceptStatus>
Return value, if term should be accepted or the iteration should `END`. The `*_SEEK` values denote, that after handling the current term the enum should call `FilteredTermsEnum.nextSeekTerm(org.apache.lucene.util.BytesRef)` and step forward.

See Also:
  - `FilteredTermsEnum.accept(BytesRef)`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `END`
  Reject the term and stop enumerating.
  `NO`
  Reject the term and position the enum at the next term.
  `NO_AND_SEEK`
  Reject the term and advance (`FilteredTermsEnum.nextSeekTerm(BytesRef)`) to the next term.
  `YES`
  Accept the term and position the enum at the next term.
  `YES_AND_SEEK`
  Accept the term and advance (`FilteredTermsEnum.nextSeekTerm(BytesRef)`) to the next term.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FilteredTermsEnum.AcceptStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static FilteredTermsEnum.AcceptStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### YES

    public static final FilteredTermsEnum.AcceptStatus YES
    Accept the term and position the enum at the next term.

  - ### YES_AND_SEEK

    public static final FilteredTermsEnum.AcceptStatus YES_AND_SEEK
    Accept the term and advance (`FilteredTermsEnum.nextSeekTerm(BytesRef)`) to the next term.

  - ### NO

    public static final FilteredTermsEnum.AcceptStatus NO
    Reject the term and position the enum at the next term.

  - ### NO_AND_SEEK

    public static final FilteredTermsEnum.AcceptStatus NO_AND_SEEK
    Reject the term and advance (`FilteredTermsEnum.nextSeekTerm(BytesRef)`) to the next term.

  - ### END

    public static final FilteredTermsEnum.AcceptStatus END
    Reject the term and stop enumerating.

- ## Method Details

  - ### values

    public static FilteredTermsEnum.AcceptStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FilteredTermsEnum.AcceptStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null